summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Robbins <drobbins@gentoo.org>2001-09-01 04:48:37 +0000
committerDaniel Robbins <drobbins@gentoo.org>2001-09-01 04:48:37 +0000
commitb2b61f85baef221c705991bfe8c84f8f617780ce (patch)
treeb6b986912d22ecb69e7282e791ef145f811a4687 /scripts
parentspython upgrades/fixes (diff)
downloadhistorical-b2b61f85baef221c705991bfe8c84f8f617780ce.tar.gz
historical-b2b61f85baef221c705991bfe8c84f8f617780ce.tar.bz2
historical-b2b61f85baef221c705991bfe8c84f8f617780ce.zip
fixes for bootstrap
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bootstrap.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index 67a64e014067..eaa47ccfdb7c 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -35,7 +35,8 @@ export MAKEOPTS="`spython -c 'import portage; print portage.settings["MAKEOPTS"]
export CONFIG_PROTECT=""
#above allows portage to overwrite stuff
cd /usr/portage
-emerge --pretend $myPORTAGE $myBINUTILS $myGCC $myGETTEXT || exit
+emerge $myPORTAGE #separate, so that the next command uses the *new* emerge
+emerge $myBINUTILS $myGCC $myGETTEXT || exit
if [ "$use_unset" = "yes" ]
then
unset USE
@@ -44,6 +45,6 @@ else
fi
# This line should no longer be required
#export USE="`spython -c 'import portage; print portage.settings["USE"];'` bootstrap"
-emerge --pretend $myGLIBC $myGETTEXT $myBINUTILS $myGCC || exit
+emerge $myGLIBC $myGETTEXT $myBINUTILS $myGCC || exit
#restore settings
cp /etc/make.conf.build /etc/make.conf